<!--
SPDX-FileCopyrightText: 2024 Shun Sakai

SPDX-License-Identifier: Apache-2.0 OR MIT
-->

# is-svg

[![CI][ci-badge]][ci-url]
[![Version][version-badge]][version-url]
![MSRV][msrv-badge]
[![Docs][docs-badge]][docs-url]
![License][license-badge]

**is-svg** is a [Rust] library for testing whether a given data is a [SVG]
image.

## Usage

Add this to your `Cargo.toml`:

```toml
[dependencies]
is-svg = "0.1.1"
```

### Example

```rust
assert_eq!(
    is_svg::is_svg(include_str!("tests/data/w3/svg-logo-v.svg")),
    true
);
assert_eq!(
    is_svg::is_svg(include_bytes!("tests/data/w3/svg-logo-v.png")),
    false
);

// `.svgz` is also supported.
assert_eq!(
    is_svg::is_svg(include_bytes!("tests/data/w3/svg-logo-v.svgz")),
    true
);
```

### Documentation

See the [documentation][docs-url] for more details.

## Minimum supported Rust version

The minimum supported Rust version (MSRV) of this library is v1.74.0.

## Changelog

Please see [CHANGELOG.adoc].

## Contributing

Please see [CONTRIBUTING.adoc].

## License

Copyright &copy; 2024 Shun Sakai (see [AUTHORS.adoc])

This library is distributed under the terms of either the _Apache License 2.0_
or the _MIT License_.

This project is compliant with version 3.2 of the [_REUSE Specification_]. See
copyright notices of individual files for more details on copyright and
licensing information.

[ci-badge]: https://img.shields.io/github/actions/workflow/status/sorairolake/is-svg/CI.yaml?branch=develop&style=for-the-badge&logo=github&label=CI
[ci-url]: https://github.com/sorairolake/is-svg/actions?query=branch%3Adevelop+workflow%3ACI++
[version-badge]: https://img.shields.io/crates/v/is-svg?style=for-the-badge&logo=rust
[version-url]: https://crates.io/crates/is-svg
[msrv-badge]: https://img.shields.io/crates/msrv/is-svg?style=for-the-badge&logo=rust
[docs-badge]: https://img.shields.io/docsrs/is-svg?style=for-the-badge&logo=docsdotrs&label=Docs.rs
[docs-url]: https://docs.rs/is-svg
[license-badge]: https://img.shields.io/crates/l/is-svg?style=for-the-badge
[Rust]: https://www.rust-lang.org/
[SVG]: https://www.w3.org/Graphics/SVG/
[CHANGELOG.adoc]: CHANGELOG.adoc
[CONTRIBUTING.adoc]: CONTRIBUTING.adoc
[AUTHORS.adoc]: AUTHORS.adoc
[_REUSE Specification_]: https://reuse.software/spec/
